## lxqt-l10n 0.11.0-19

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(translations)

find_package(lxqt REQUIRED)
include(LXQtTranslateTs)
include(GNUInstallDirs)

option(WITH_COMPTON_CONF "Build compton-conf translations" ON)
option(WITH_LIBFM_QT "Build libfm-qt translations" ON)
option(WITH_LIBLXQT "Build liblxqt translations" ON)
option(WITH_LXIMAGE_QT "Build lximage-qt translations" ON)
option(WITH_LXQT_ABOUT "Build lxqt-about translations" ON)
option(WITH_LXQT_ADMIN "Build lxqt-admin translations" ON)
option(WITH_LXQT_CONFIG "Build lxqt-config translations" ON)
option(WITH_LXQT_GLOBALKEYS "Build lxqt-globalkeys translations" ON)
option(WITH_LXQT_NOTIFICATIOND "Build lxqt-notificationd translations" ON)
option(WITH_LXQT_OPENSSH_ASKPASS "Build lxqt-openssh-askpass translations" ON)
option(WITH_LXQT_PANEL "Build lxqt-panel translations" ON)
option(WITH_LXQT_POLICYKIT "Build lxqt-policykit translations" ON)
option(WITH_LXQT_POWERMANAGEMENT "Build lxqt-powermanagement translations" ON)
option(WITH_LXQT_RUNNER "Build lxqt-runner translations" ON)
option(WITH_LXQT_SESSION "Build lxqt-session translations" ON)
option(WITH_LXQT_SUDO "Build lxqt-sudo translations" ON)
option(WITH_OBCONF_QT "Build obconf-qt translations" ON)
option(WITH_PAVUCONTROL_QT "Build pavucontrol-qt translations" ON)
option(WITH_PCMANFM_QT "Build pcmanfm-qt translations" ON)
option(WITH_QTERMINAL "Build qterminal translations" ON)

macro(add_component VAR_OPTION VAR_SUBDIR)
    if (${VAR_OPTION})
        add_subdirectory("${VAR_SUBDIR}")
        add_custom_target("install-${VAR_SUBDIR}"
            "${CMAKE_COMMAND}"
            -D "CMAKE_INSTALL_COMPONENT='${VAR_SUBDIR}'"
            -P "'${CMAKE_CURRENT_BINARY_DIR}/${VAR_SUBDIR}'/cmake_install.cmake"
        )
    endif ()
endmacro()

macro(build_component VAR_TRANS_DIR VAR_INSTALL_DIR)
    if ("${VAR_INSTALL_DIR}" STREQUAL "")
        set(QM_INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}")
    else ()
        set(QM_INSTALL_DIR "${VAR_INSTALL_DIR}")
    endif ()

    message(STATUS "Will make translations from ${PROJECT_NAME}, install path ${QM_INSTALL_DIR}")
    lxqt_translate_ts(QM_FILES
        TRANSLATION_DIR "${VAR_TRANS_DIR}"
        INSTALL_DIR "${QM_INSTALL_DIR}"
        COMPONENT "${PROJECT_NAME}"
    )

    add_custom_target("${PROJECT_NAME}_ts" ALL DEPENDS ${QM_FILES})
endmacro()

macro(build_sub_component VAR_OPTION VAR_SUBDIR VAR_TEMPLATE)
    if (${VAR_OPTION})
        set(QM_INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}/${VAR_TEMPLATE}")
        message(STATUS "Will make translations from ${PROJECT_NAME}/${VAR_SUBDIR}, install path ${QM_INSTALL_DIR}")
        lxqt_translate_ts(QM_FILES
            TRANSLATION_DIR "${VAR_SUBDIR}"
            TEMPLATE "${VAR_TEMPLATE}"
            INSTALL_DIR "${QM_INSTALL_DIR}"
            COMPONENT "${PROJECT_NAME}"
        )
        add_custom_target("${PROJECT_NAME}_${VAR_SUBDIR}_ts" ALL DEPENDS ${QM_FILES})
    endif ()
endmacro()


add_component(WITH_COMPTON_CONF compton-conf)
add_component(WITH_LIBFM_QT libfm-qt)
add_component(WITH_LIBLXQT liblxqt)
add_component(WITH_LXIMAGE_QT lximage-qt)
add_component(WITH_LXQT_ABOUT lxqt-about)
add_component(WITH_LXQT_ADMIN lxqt-admin)
add_component(WITH_LXQT_CONFIG lxqt-config)
add_component(WITH_LXQT_GLOBALKEYS lxqt-globalkeys)
add_component(WITH_LXQT_NOTIFICATIOND lxqt-notificationd)
add_component(WITH_LXQT_OPENSSH_ASKPASS lxqt-openssh-askpass)
add_component(WITH_LXQT_PANEL lxqt-panel)
add_component(WITH_LXQT_POLICYKIT lxqt-policykit)
add_component(WITH_LXQT_POWERMANAGEMENT lxqt-powermanagement)
add_component(WITH_LXQT_RUNNER lxqt-runner)
add_component(WITH_LXQT_SESSION lxqt-session)
add_component(WITH_LXQT_SUDO lxqt-sudo)
add_component(WITH_OBCONF_QT obconf-qt)
add_component(WITH_PAVUCONTROL_QT pavucontrol-qt)
add_component(WITH_PCMANFM_QT pcmanfm-qt)
add_component(WITH_QTERMINAL qterminal)

## lxqt-l10n 0.11.0-19-g717bd7e

=== debian/changelog ===
lxqt-l10n (0.11.0-19-g717bd7e-5) unstable; urgency=medium

  * Really close 841721 ((Closes: #841721)
  * Follow the multiarch hinter and mark the l10n-packages foreign

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Oct 2016 18:18:04 +0200

lxqt-l10n (0.11.0-19-g717bd7e-4) unstable; urgency=medium

  * Re-Added merged changelog entries
  * Explicitly close #824825 which i had overseen (Closes: #824825)
  * Thanks Adrian Bunk for the advice (Close: #841721)

 -- Alf Gaida <agaida@siduction.org>  Sat, 22 Oct 2016 20:39:39 +0200

lxqt-l10n (0.11.0-19-g717bd7e-3) unstable; urgency=medium

  * Cherry picking upstream version 0.11.0-19-g717bd7e.
  * Move from experimental to unstable
  * Fixed package names and versions in Breaks and Replaces (Closes: #840679)
  * Added pavucontrol-qt-l10n
  * Added missed build dependencies:
    - libkf5windowsystem-dev
    - liblxqt0-dev (>= 0.11.0)
    - libqt5x11extras5-dev
    - libqt5xdg-dev (>= 2.0.0)
  * Fixed copyright Format field
  * Added versioned breaks and replaces for compton-conf
  * Fixed VCS fields, using plain /git/
  * Exported LC_ALL=C.UTF-8, for reproducible builds
  * Added docs

 -- Alf Gaida <agaida@siduction.org>  Wed, 19 Oct 2016 02:44:43 +0200

 lxqt-l10n (0.11.0-19-g717bd7e-2) experimental; urgency=medium

   * Fixed package names and versions in Breaks and Replaces (Closes: #840679)

  -- Alf Gaida <agaida@siduction.org>  Thu, 13 Oct 2016 21:54:50 +0200

 lxqt-l10n (0.11.0-19-g717bd7e-1) experimental; urgency=medium

   * Cherry picking upstream version 0.11.0-19-g717bd7e.
   * Fixes pavucontrol-qt-l10n build

  -- Alf Gaida <agaida@siduction.org>  Sun, 09 Oct 2016 21:40:41 +0200

 lxqt-l10n (0.11.0-1) experimental; urgency=medium

   * Cherry-picking upstream version 0.11.0.
   * Added pavucontrol-qt-l10n

  -- Alf Gaida <agaida@siduction.org>  Sun, 09 Oct 2016 21:23:00 +0200

 lxqt-l10n (0.10.95~20-g4a053f4-2) experimental; urgency=medium

   * Added missed build dependencies:
     - libkf5windowsystem-dev
     - liblxqt0-dev (>= 0.10.96~)
     - libqt5x11extras5-dev
     - libqt5xdg-dev (>= 1.3.1~)

  -- Alf Gaida <agaida@siduction.org>  Mon, 18 Jul 2016 00:00:36 +0200

 lxqt-l10n (0.10.95~20-g4a053f4-1) experimental; urgency=medium

   * Cherry-picking upstream version 0.10.95~20-g4a053f4.
   * Fixed copyright Format field
   * Added versioned breaks and replaces for compton-conf
   * Fixed VCS fields, using plain /git/
   * Exported LC_ALL=C.UTF-8, for reproducible builds
   * Added docs

  -- Alf Gaida <agaida@siduction.org>  Sun, 17 Jul 2016 15:53:46 +0200

 lxqt-l10n (0.10.9-1) experimental; urgency=medium

  * Initial release. (Closes: #824225)

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 May 2016 23:15:35 +0200

=== debian/control ===
Source: lxqt-l10n
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-l10n.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-l10n.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-l10n

Package: compton-conf-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: compton-conf (<< 0.2.0)
Replaces: compton-conf (<< 0.2.0)
Description: Language package for compton-conf
 This package contains the l10n files needed by the compton-conf.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libfm-qt3 (<< 0.11.1)
Replaces: libfm-qt3 (<< 0.11.1)
Description: Language package for libfm-qt
 This package contains the l10n files needed by the libfm-qt.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: liblxqt0 (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lximage-qt (<< 0.5.0)
Replaces: lximage-qt (<< 0.5.0)
Description: Language-package for lximage-qt
 This package contains the l10n files needed by the lximage-qt.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-about (<< 0.11.0)
Replaces: lxqt-about (<< 0.11.0)
Description: Language package for lxqt-about
 This package contains the l10n files needed by the lxqt-about.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-admin (<< 0.11.0)
Replaces: lxqt-admin (<< 0.11.0)
Description: Language package for lxqt-admin
 This package contains the l10n files needed by the lxqt-admin.


#Package: lxqt-common-l10n

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-config (<< 0.11.0)
Replaces: lxqt-config (<< 0.11.0)
Description: Language package for lxqt-config
 This package contains the l10n files needed by the lxqt-config.

Package: lxqt-globalkeys-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-globalkeys (<< 0.11.0)
Replaces: lxqt-globalkeys (<< 0.11.0)
Description: Language package for lxqt-globalkeys
 This package contains the l10n files needed by the lxqt-globalkeys.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-notificationd (<< 0.11.0)
Replaces: lxqt-notificationd (<< 0.11.0)
Description: Language package for lxqt-notificationd
 This package contains the l10n files needed by the lxqt-notificationd.

Package: lxqt-openssh-askpass-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-openssh-askpass (<< 0.11.0)
Replaces: lxqt-openssh-askpass (<< 0.11.0)
Description: Language package for lxqt-openssh-askpass
 This package contains the l10n files needed by the lxqt-openssh-askpass.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-policykit (<< 0.11.0)
Replaces: lxqt-policykit (<< 0.11.0)
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by the lxqt-policykit.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-powermanagement (<< 0.11.0)
Replaces: lxqt-powermanagement (<< 0.11.0)
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by the lxqt-powermangement.

#Package: lxqt-qtplugin-l10n (no translations right now)

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-runner (<< 0.11.0)
Replaces: lxqt-runner (<< 0.11.0)
Description: Language package for lxqt-runner
 This package contains the l10n files needed by the lxqt-runner.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-session (<< 0.11.0)
Replaces: lxqt-session (<< 0.11.0)
Description: Language package for lxqt-session
 This package contains the l10n files needed by the lxqt-session.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: lxqt-sudo (<< 0.11.0)
Replaces: lxqt-sudo (<< 0.11.0)
Description: Language package for lxqt-sudo
 This package contains the l10n files needed by the lxqt-sudo.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: obconf-qt (<< 0.11.0)
Replaces: obconf-qt (<< 0.11.0)
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.

Package: pavucontrol-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Language package for pavucontrol-qt
 This package contains the l10n files needed by the pavucontrol-qt.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: pcmanfm-qt (<< 0.11.1)
Replaces: pcmanfm-qt (<< 0.11.1)
Description: Language package for pcmanfm-qt
 This package contains the l10n files needed by the pcmanfm-qt.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qterminal (<< 0.6.1)
Replaces: qterminal (<< 0.6.1)
Description: Language package for qterminal
 This package contains the l10n files needed by the qterminal.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--parallel \
		--fail-missing

## lxqt-l10n 0.11.0-86

=== lxqt-policykit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-policykit)

option(WITH_LXQT_POLICYKIT_AGENT "Build lxqt-policykit-agent translations" ON)

#components
add_component(WITH_LXQT_POLICYKIT_AGENT lxqt-policykit-agent)

=== pavucontrol-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(pavucontrol-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/pavucontrol-qt/translations")

=== pcmanfm-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(pcmanfm-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/pcmanfm-qt/translations")

=== lxqt-powermanagement/lxqt-config-powermanagement/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config-powermanagement)

build_component("." "")

## lxqt-l10n 0.11.0-86-g6d2de75

=== debian/changelog ===
lxqt-l10n (0.11.0-86-g6d2de75-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.0-86-g6d2de75.
  * Removed some build dependencies:
    - cmake
    - libkf5windowsystem-dev
    - liblxqt0-dev
    - libqt5svg5-dev
    - libqt5x11extras5-dev
    - libqt5xdg-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools (>= 0.2.0)
  * Fixed the rest of crappy whitespaces

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Nov 2016 23:52:35 +0100

lxqt-l10n (0.11.0-19-g717bd7e-6) unstable; urgency=medium

  * Removed some superfluous whitespaces in lines 35, 37, 41, 48,
    55, 65, 76 - solve the "unrecognised line" syntax warnings
  * Removed --parallel from rules, compat 10 standard

 -- Alf Gaida <agaida@siduction.org>  Tue, 01 Nov 2016 13:03:09 +0100

lxqt-l10n (0.11.0-19-g717bd7e-2) experimental; urgency=medium

  * Fixed package names and versions in Breaks and Replaces (Closes: #840679)

 -- Alf Gaida <agaida@siduction.org>  Thu, 13 Oct 2016 21:54:50 +0200

lxqt-l10n (0.11.0-19-g717bd7e-1) experimental; urgency=medium

  * Cherry picking upstream version 0.11.0-19-g717bd7e.
  * Fixes pavucontrol-qt-l10n build

 -- Alf Gaida <agaida@siduction.org>  Sun, 09 Oct 2016 21:40:41 +0200

lxqt-l10n (0.11.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.11.0.
  * Added pavucontrol-qt-l10n

 -- Alf Gaida <agaida@siduction.org>  Sun, 09 Oct 2016 21:23:00 +0200

lxqt-l10n (0.10.95~20-g4a053f4-2) experimental; urgency=medium

  * Added missed build dependencies:
    - libkf5windowsystem-dev
    - liblxqt0-dev (>= 0.10.96~)
    - libqt5x11extras5-dev
    - libqt5xdg-dev (>= 1.3.1~)

 -- Alf Gaida <agaida@siduction.org>  Mon, 18 Jul 2016 00:00:36 +0200

lxqt-l10n (0.10.95~20-g4a053f4-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.10.95~20-g4a053f4.
  * Fixed copyright Format field
  * Added versioned breaks and replaces for compton-conf
  * Fixed VCS fields, using plain /git/
  * Exported LC_ALL=C.UTF-8, for reproducible builds
  * Added docs

 -- Alf Gaida <agaida@siduction.org>  Sun, 17 Jul 2016 15:53:46 +0200

lxqt-l10n (0.10.9-1) experimental; urgency=medium

  * Initial release. (Closes: #824225)

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 May 2016 23:15:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
-               libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.0),
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 2.0.0),
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
+               lxqt-build-tools (>= 0.2.0)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-l10n.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-l10n.git -b debian/sid

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,4 @@
 
 %:
 	dh ${@} --buildsystem cmake \
-		--parallel \
 		--fail-missing

## lxqt-l10n 0.11.1

=== debian/changelog ===
lxqt-l10n (0.11.1-1ubuntu2) zesty; urgency=medium

  * Add a liblxqt-data transitional package too to ease upgrades
    (LP: #1635701)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Dec 2016 02:51:18 -0500

lxqt-l10n (0.11.1-1ubuntu1) zesty; urgency=medium

  * Mark liblxqt-l10n as Breaks/Replaces liblxqt-data (LP: #1635701)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Dec 2016 02:33:43 -0500

lxqt-l10n (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.1.

 -- Alf Gaida <agaida@siduction.org>  Mon, 12 Dec 2016 00:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-l10n
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
@@ -33,10 +34,20 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: liblxqt0 (<< 0.11.0)
-Replaces: liblxqt0 (<< 0.11.0)
+Breaks: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
+Replaces: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.
+
+Package: liblxqt-data
+Section: oldlibs
+Priority: extra
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, liblxqt-l10n
+Description: Language package for liblxqt (transitional package)
+ This is a transitional package and can safefly be removed once no other
+ packages depend on it.
 
 Package: lximage-qt-l10n
 Architecture: all

## lxqt-l10n 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,13 @@
 
 project(translations)
 
-find_package(lxqt REQUIRED)
+set(LXQTBT_MINIMUM_VERSION "0.1.0")
+
+find_package(Qt5LinguistTools REQUIRED)
+find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+include(GNUInstallDirs)
 include(LXQtTranslateTs)
-include(GNUInstallDirs)
+include(LXQtConfigVars)
 
 option(WITH_COMPTON_CONF "Build compton-conf translations" ON)
 option(WITH_LIBFM_QT "Build libfm-qt translations" ON)
@@ -26,6 +30,20 @@
 option(WITH_PAVUCONTROL_QT "Build pavucontrol-qt translations" ON)
 option(WITH_PCMANFM_QT "Build pcmanfm-qt translations" ON)
 option(WITH_QTERMINAL "Build qterminal translations" ON)
+
+if (BUILD_TESTING)
+    enable_testing()
+else ()
+    message(STATUS "")
+    message(STATUS "For building tests use -DBUILD_TESTING=ON option.")
+    message(STATUS "")
+endif()
+
+get_filename_component(CHECK_TS "check_ts.sh" ABSOLUTE)
+function(check_ts_files _ts_dir _ts_template)
+    get_filename_component(_ts_abs_dir "${_ts_dir}" ABSOLUTE)
+    add_test("${_ts_abs_dir}" "${CHECK_TS}" "${_ts_abs_dir}" "${CMAKE_CURRENT_BINARY_DIR}" "${_ts_template}")
+endfunction()
 
 macro(add_component VAR_OPTION VAR_SUBDIR)
     if (${VAR_OPTION})
@@ -53,6 +71,7 @@
     )
 
     add_custom_target("${PROJECT_NAME}_ts" ALL DEPENDS ${QM_FILES})
+    check_ts_files("${VAR_TRANS_DIR}" "${PROJECT_NAME}")
 endmacro()
 
 macro(build_sub_component VAR_OPTION VAR_SUBDIR VAR_TEMPLATE)
@@ -66,6 +85,7 @@
             COMPONENT "${PROJECT_NAME}"
         )
         add_custom_target("${PROJECT_NAME}_${VAR_SUBDIR}_ts" ALL DEPENDS ${QM_FILES})
+        check_ts_files("${VAR_SUBDIR}" "${VAR_TEMPLATE}")
     endif ()
 endmacro()

=== lxqt-admin/lxqt-admin-user/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-admin-user)

build_component("." "")

=== lxqt-config/lxqt-config-monitor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config-monitor)

build_component("." "")

=== lxqt-globalkeys/lxqt-config-globalkeyshortcuts/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config-globalkeyshortcuts)

build_component("." "")

=== debian/changelog ===
lxqt-l10n (0.11.2-3ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Add a liblxqt-data transitional package to ease upgrades.
    - Mark liblxqt-l10n as Breaks/Replaces liblxqt-data.
    - This delta can be dropped once 18.04 is released.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 28 Sep 2017 16:29:35 -0500

lxqt-l10n (0.11.2-3) unstable; urgency=medium

  * Added Section: localization to the language packages
  * Bumped Standards to 4.1.0, no changes needed
  * Added override_dh_missing

 -- Alf Gaida <agaida@siduction.org>  Wed, 27 Sep 2017 17:32:40 +0200

lxqt-l10n (0.11.2-2ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1706845). Remaining changes:
    - Add a liblxqt-data transitional package to ease upgrades.
    - Mark liblxqt-l10n as Breaks/Replaces liblxqt-data.
    - This delta can be dropped once 18.04 is released.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2017 22:44:21 -0500

lxqt-l10n (0.11.2-2) unstable; urgency=medium

  * Added Recommends: qttranslations5-l10n, translated menus work better with
  * Bumped Standards to 4.0.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Jul 2017 21:10:56 +0200

lxqt-l10n (0.11.2-1ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1690489). Remaining changes
    (safe to drop after 18.04):
    - Add a liblxqt-data transitional package to ease upgrades.
    - Mark liblxqt-l10n as Breaks/Replaces liblxqt-data.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Jun 2017 21:11:05 -0500

lxqt-l10n (0.11.2-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.2.
  * Bumped years in d/copyright
  * Bumped build dependency lxqt-build-tools (>= 0.3.1) 

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 11:09:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               lxqt-build-tools (>= 0.2.0)
-Standards-Version: 3.9.8
+               lxqt-build-tools (>= 0.3.1)
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-l10n.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-l10n.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-l10n
@@ -15,7 +15,9 @@
 Package: compton-conf-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: compton-conf (<< 0.2.0)
 Replaces: compton-conf (<< 0.2.0)
 Description: Language package for compton-conf
@@ -24,7 +26,9 @@
 Package: libfm-qt-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: libfm-qt3 (<< 0.11.1)
 Replaces: libfm-qt3 (<< 0.11.1)
 Description: Language package for libfm-qt
@@ -33,7 +37,9 @@
 Package: liblxqt-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
 Replaces: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
 Description: Language package for liblxqt
@@ -52,7 +58,9 @@
 Package: lximage-qt-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lximage-qt (<< 0.5.0)
 Replaces: lximage-qt (<< 0.5.0)
 Description: Language-package for lximage-qt
@@ -61,7 +69,9 @@
 Package: lxqt-about-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-about (<< 0.11.0)
 Replaces: lxqt-about (<< 0.11.0)
 Description: Language package for lxqt-about
@@ -70,19 +80,21 @@
 Package: lxqt-admin-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-admin (<< 0.11.0)
 Replaces: lxqt-admin (<< 0.11.0)
 Description: Language package for lxqt-admin
  This package contains the l10n files needed by the lxqt-admin.
 
 
-#Package: lxqt-common-l10n
-
 Package: lxqt-config-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-config (<< 0.11.0)
 Replaces: lxqt-config (<< 0.11.0)
 Description: Language package for lxqt-config
@@ -91,7 +103,9 @@
 Package: lxqt-globalkeys-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-globalkeys (<< 0.11.0)
 Replaces: lxqt-globalkeys (<< 0.11.0)
 Description: Language package for lxqt-globalkeys
@@ -100,7 +114,9 @@
 Package: lxqt-notificationd-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-notificationd (<< 0.11.0)
 Replaces: lxqt-notificationd (<< 0.11.0)
 Description: Language package for lxqt-notificationd
@@ -109,7 +125,9 @@
 Package: lxqt-openssh-askpass-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-openssh-askpass (<< 0.11.0)
 Replaces: lxqt-openssh-askpass (<< 0.11.0)
 Description: Language package for lxqt-openssh-askpass
@@ -118,7 +136,9 @@
 Package: lxqt-panel-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-panel (<< 0.11.0)
 Replaces: lxqt-panel (<< 0.11.0)
 Description: Language package for lxqt-panel
@@ -127,7 +147,9 @@
 Package: lxqt-policykit-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-policykit (<< 0.11.0)
 Replaces: lxqt-policykit (<< 0.11.0)
 Description: Language package for lxqt-policykit
@@ -136,18 +158,20 @@
 Package: lxqt-powermanagement-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-powermanagement (<< 0.11.0)
 Replaces: lxqt-powermanagement (<< 0.11.0)
 Description: Language package for lxqt-powermanagement
  This package contains the l10n files needed by the lxqt-powermangement.
 
-#Package: lxqt-qtplugin-l10n (no translations right now)
-
 Package: lxqt-runner-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-runner (<< 0.11.0)
 Replaces: lxqt-runner (<< 0.11.0)
 Description: Language package for lxqt-runner
@@ -156,7 +180,9 @@
 Package: lxqt-session-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-session (<< 0.11.0)
 Replaces: lxqt-session (<< 0.11.0)
 Description: Language package for lxqt-session
@@ -165,7 +191,9 @@
 Package: lxqt-sudo-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: lxqt-sudo (<< 0.11.0)
 Replaces: lxqt-sudo (<< 0.11.0)
 Description: Language package for lxqt-sudo
@@ -174,7 +202,9 @@
 Package: obconf-qt-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: obconf-qt (<< 0.11.0)
 Replaces: obconf-qt (<< 0.11.0)
 Description: Language package for obconf-qt
@@ -183,14 +213,18 @@
 Package: pavucontrol-qt-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Description: Language package for pavucontrol-qt
  This package contains the l10n files needed by the pavucontrol-qt.
 
 Package: pcmanfm-qt-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: pcmanfm-qt (<< 0.11.1)
 Replaces: pcmanfm-qt (<< 0.11.1)
 Description: Language package for pcmanfm-qt
@@ -199,7 +233,9 @@
 Package: qterminal-l10n
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Section: localization
+Depends: ${misc:Depends}
+Recommends: qttranslations5-l10n
 Breaks: qterminal (<< 0.6.1)
 Replaces: qterminal (<< 0.6.1)
 Description: Language package for qterminal

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake \
-		--fail-missing
+	dh ${@} --buildsystem cmake
+
+override_dh_missing:
+	dh_missing -- --fail-missing

## lxqt-l10n 0.12.0

=== compton-conf/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(compton-conf)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/compton-conf/translations")

=== lxqt-about/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-about)

build_component("." "")

=== lxqt-admin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-admin)

option(WITH_LXQT_ADMIN_TIME "Build lxqt-admin-time translations" ON)
option(WITH_LXQT_ADMIN_USER "Build lxqt-admin-user translations" ON)

#components
add_component(WITH_LXQT_ADMIN_USER lxqt-admin-user)
add_component(WITH_LXQT_ADMIN_TIME lxqt-admin-time)

=== lxqt-config/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config)

option(WITH_LIBLXQT_CONFIG_CURSOR "Build liblxqt-config-cursor translations" ON)
option(WITH_LXQT_CONFIG_APPEARANCE "Build lxqt-config-appearance translations" ON)
option(WITH_LXQT_CONFIG_BRIGHTNESS "Build lxqt-config-brightness translations" ON)
option(WITH_LXQT_CONFIG_FILE_ASSOCIATIONS "Build lxqt-config-file-associations translations" ON)
option(WITH_LXQT_CONFIG_INPUT "Build lxqt-config-input translations" ON)
option(WITH_LXQT_CONFIG_LOCALE "Build lxqt-config-locale translations" ON)
option(WITH_LXQT_CONFIG_MONITOR "Build lxqt-config-monitor translations" ON)

build_component("lxqt-config" "")

#components
add_component(WITH_LIBLXQT_CONFIG_CURSOR liblxqt-config-cursor)
add_component(WITH_LXQT_CONFIG_APPEARANCE lxqt-config-appearance)
add_component(WITH_LXQT_CONFIG_BRIGHTNESS lxqt-config-brightness)
add_component(WITH_LXQT_CONFIG_FILE_ASSOCIATIONS lxqt-config-file-associations)
add_component(WITH_LXQT_CONFIG_INPUT lxqt-config-input)
add_component(WITH_LXQT_CONFIG_LOCALE lxqt-config-locale)
add_component(WITH_LXQT_CONFIG_MONITOR lxqt-config-monitor)

=== lxqt-notificationd/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-notificationd)

option(WITH_LXQT_CONFIG_NOTIFICATIOND "Build lxqt-config-notificationd translations" ON)

build_component("lxqt-notificationd" "")

#components
add_component(WITH_LXQT_CONFIG_NOTIFICATIOND lxqt-config-notificationd)

=== lxqt-openssh-askpass/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-openssh-askpass)

build_component("." "")

=== lxqt-powermanagement/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-powermanagement)

option(WITH_LXQT_CONFIG_POWERMANAGEMENT "Build lxqt-config-powermanagement translations" ON)

build_component("lxqt-powermanagement" "")

#components
add_component(WITH_LXQT_CONFIG_POWERMANAGEMENT lxqt-config-powermanagement)

=== lxqt-session/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-session)

option(WITH_LXQT_CONFIG_SESSION "Build lxqt-config-session translations" ON)
option(WITH_LXQT_LEAVE "Build lxqt-leave translations" ON)

build_component("lxqt-session" "")

#components
add_component(WITH_LXQT_CONFIG_SESSION lxqt-config-session)
add_component(WITH_LXQT_LEAVE lxqt-leave)

=== obconf-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(obconf-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/obconf-qt/translations")

=== qterminal/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(qterminal)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")

=== qtermwidget/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(qtermwidget)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/qtermwidget/translations")

=== lxqt-config/liblxqt-config-cursor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-config-cursor)

build_component("." "")

=== debian/changelog ===
lxqt-l10n (0.12.0-4ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Add a liblxqt-data transitional package to ease upgrades.
    - Mark liblxqt-l10n as Breaks/Replaces liblxqt-data.
    - This delta can be dropped once 18.04 is released.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Feb 2018 23:29:51 -0600

lxqt-l10n (0.12.0-4) unstable; urgency=medium

  * Moved to salsa, fixed VCS fields that way
  * Bumped Standards to 4.1.3, no changes needed
  * Bump debhelper >= 11
  * Bump compat to 11
  * Promote  qttranslations5-l10n

 -- Alf Gaida <agaida@siduction.org>  Sat, 10 Feb 2018 02:33:12 +0100

lxqt-l10n (0.12.0-3ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Add a liblxqt-data transitional package to ease upgrades.
    - Mark liblxqt-l10n as Breaks/Replaces liblxqt-data.
    - This delta can be dropped once 18.04 is released.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 18 Dec 2017 00:13:33 -0600

lxqt-l10n (0.12.0-3) unstable; urgency=medium

  * Fixed typo in changelog
  * Removed branch from VCS-fields 
  * Bumped Standards to 4.1.2, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Dec 2017 19:31:17 +0100

lxqt-l10n (0.12.0-2) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 18:47:09 +0100

lxqt-l10n (0.12.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add a liblxqt-data transitional package to ease upgrades.
    - Mark liblxqt-l10n as Breaks/Replaces liblxqt-data.
    - This delta can be dropped once 18.04 is released.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 23 Nov 2017 21:12:11 -0600

lxqt-l10n (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Bumped standards to 4.1.1
  * Bumped build tools to >= 0.4.0
  * Fixed Section - all packages belong to localization
  * fixed override_dh_missing
  * build without qtermwidget_l10n right now, work in progress

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 21:00:04 +0200

=== debian/control ===
Source: lxqt-l10n
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: localization
Priority: optional
Build-Depends: debhelper (>= 11),
               lxqt-build-tools (>= 0.4.0)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-l10n.git
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-l10n.git
Homepage: https://github.com/lxde/lxqt-l10n

Package: compton-conf-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: compton-conf (<< 0.2.0)
Replaces: compton-conf (<< 0.2.0)
Description: Language package for compton-conf
 This package contains the l10n files needed by the compton-conf.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: libfm-qt3 (<< 0.11.1)
Replaces: libfm-qt3 (<< 0.11.1)
Description: Language package for libfm-qt
 This package contains the l10n files needed by the libfm-qt.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

Package: liblxqt-data
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, liblxqt-l10n
Description: Language package for liblxqt (transitional package)
 This is a transitional package and can safefly be removed once no other
 packages depend on it.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lximage-qt (<< 0.5.0)
Replaces: lximage-qt (<< 0.5.0)
Description: Language-package for lximage-qt
 This package contains the l10n files needed by the lximage-qt.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-about (<< 0.11.0)
Replaces: lxqt-about (<< 0.11.0)
Description: Language package for lxqt-about
 This package contains the l10n files needed by the lxqt-about.

Package: lxqt-admin-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-admin (<< 0.11.0)
Replaces: lxqt-admin (<< 0.11.0)
Description: Language package for lxqt-admin
 This package contains the l10n files needed by the lxqt-admin.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-config (<< 0.11.0)
Replaces: lxqt-config (<< 0.11.0)
Description: Language package for lxqt-config
 This package contains the l10n files needed by the lxqt-config.

Package: lxqt-globalkeys-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-globalkeys (<< 0.11.0)
Replaces: lxqt-globalkeys (<< 0.11.0)
Description: Language package for lxqt-globalkeys
 This package contains the l10n files needed by the lxqt-globalkeys.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-notificationd (<< 0.11.0)
Replaces: lxqt-notificationd (<< 0.11.0)
Description: Language package for lxqt-notificationd
 This package contains the l10n files needed by the lxqt-notificationd.

Package: lxqt-openssh-askpass-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-openssh-askpass (<< 0.11.0)
Replaces: lxqt-openssh-askpass (<< 0.11.0)
Description: Language package for lxqt-openssh-askpass
 This package contains the l10n files needed by the lxqt-openssh-askpass.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-policykit (<< 0.11.0)
Replaces: lxqt-policykit (<< 0.11.0)
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by the lxqt-policykit.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-powermanagement (<< 0.11.0)
Replaces: lxqt-powermanagement (<< 0.11.0)
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by the lxqt-powermangement.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-runner (<< 0.11.0)
Replaces: lxqt-runner (<< 0.11.0)
Description: Language package for lxqt-runner
 This package contains the l10n files needed by the lxqt-runner.

Package: lxqt-session-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-session (<< 0.11.0)
Replaces: lxqt-session (<< 0.11.0)
Description: Language package for lxqt-session
 This package contains the l10n files needed by the lxqt-session.

Package: lxqt-sudo-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-sudo (<< 0.11.0)
Replaces: lxqt-sudo (<< 0.11.0)
Description: Language package for lxqt-sudo
 This package contains the l10n files needed by the lxqt-sudo.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: obconf-qt (<< 0.11.0)
Replaces: obconf-qt (<< 0.11.0)
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.

Package: pavucontrol-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for pavucontrol-qt
 This package contains the l10n files needed by the pavucontrol-qt.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: pcmanfm-qt (<< 0.11.1)
Replaces: pcmanfm-qt (<< 0.11.1)
Description: Language package for pcmanfm-qt
 This package contains the l10n files needed by the pcmanfm-qt.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: qterminal (<< 0.6.1)
Replaces: qterminal (<< 0.6.1)
Description: Language package for qterminal
 This package contains the l10n files needed by the qterminal.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,10 @@
 %:
 	dh ${@} --buildsystem cmake
 
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DWITH_QTERMWIDGET=OFF
+
 override_dh_missing:
-	dh_missing -- --fail-missing
+	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxde/lxqt-l10n/releases .*/lxqt-l10n-([\d\.]+).tar.xz

## lxqt-l10n 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,10 @@
 
 project(translations)
 
-set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
+
+# l10n has no binaries - but we can set an informal version
+# Version 0.13.0
 
 find_package(Qt5LinguistTools REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -30,6 +33,7 @@
 option(WITH_PAVUCONTROL_QT "Build pavucontrol-qt translations" ON)
 option(WITH_PCMANFM_QT "Build pcmanfm-qt translations" ON)
 option(WITH_QTERMINAL "Build qterminal translations" ON)
+option(WITH_QTERMWIDGET "Build qtermwidget translations" ON)
 
 if (BUILD_TESTING)
     enable_testing()
@@ -110,3 +114,4 @@
 add_component(WITH_PAVUCONTROL_QT pavucontrol-qt)
 add_component(WITH_PCMANFM_QT pcmanfm-qt)
 add_component(WITH_QTERMINAL qterminal)
+add_component(WITH_QTERMWIDGET qtermwidget)

=== libfm-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(libfm-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt/translations")

=== debian/changelog ===
lxqt-l10n (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:32:44 -0500

lxqt-l10n (0.12.0-5) unstable; urgency=medium

  * Relaxed debhelper minimum version to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS-Browser link
  * Changed Homepage, Source to lxqt
  * Removed gbp.conf - we use git-stuff

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 14:08:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: lxqt-l10n
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: localization
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               lxqt-build-tools (>= 0.4.0)
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-l10n.git
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-l10n.git
-Homepage: https://github.com/lxde/lxqt-l10n
+               lxqt-build-tools (>= 0.5.0)
+Standards-Version: 4.1.4
+Vcs-Browser: https://phab.lubuntu.me/source/lxqt-l10n/
+Vcs-Git: https://phab.lubuntu.me/source/lxqt-l10n.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-l10n
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-l10n.git
+Homepage: https://github.com/lxqt/lxqt-l10n
 
 Package: compton-conf-l10n
 Architecture: all
@@ -37,20 +39,10 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          qttranslations5-l10n
-Breaks: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
-Replaces: liblxqt0 (<< 0.11.0), liblxqt-data (<< 0.11.0)
+Breaks: liblxqt0 (<< 0.11.0)
+Replaces: liblxqt0 (<< 0.11.0)
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.
-
-Package: liblxqt-data
-Section: oldlibs
-Priority: extra
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, liblxqt-l10n
-Description: Language package for liblxqt (transitional package)
- This is a transitional package and can safefly be removed once no other
- packages depend on it.
 
 Package: lximage-qt-l10n
 Architecture: all

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-l10n/releases .*/lxqt-l10n-([\d\.]+).tar.xz
